# My Business Q&A API

The My Business Q\&A API allows questions and answers to be posted for specific listings.  

Note - If you have a quota of 0 after enabling the API, please [request](https://developers.google.com/my-business/content/prereqs#request-access) for GBP API access.

- [REST Resource: v1.locations.questions](https://developers.google.com/my-business/reference/qanda/rest#v1.locations.questions)
- [REST Resource: v1.locations.questions.answers](https://developers.google.com/my-business/reference/qanda/rest#v1.locations.questions.answers)

## Service: mybusinessqanda.googleapis.com

To call this service, we recommend that you use the Google-provided [client libraries](https://cloud.google.com/apis/docs/client-libraries-explained). If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

### Discovery document

A [Discovery Document](https://developers.google.com/discovery/v1/reference/apis) is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:

- <https://mybusinessqanda.googleapis.com/$discovery/rest?version=v1>

### Service endpoint

A [service endpoint](https://cloud.google.com/apis/design/glossary#api_service_endpoint) is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

- `https://mybusinessqanda.googleapis.com`

## REST Resource: [v1.locations.questions](https://developers.google.com/my-business/reference/qanda/rest/v1/locations.questions)

| Methods ||
|---|---|
| `https://developers.google.com/my-business/reference/qanda/rest/v1/locations.questions/create` | `POST /v1/{parent=locations/*/questions}` Adds a question for the specified location. |
| `https://developers.google.com/my-business/reference/qanda/rest/v1/locations.questions/delete` | `DELETE /v1/{name=locations/*/questions/*}` Deletes a specific question written by the current user. |
| `https://developers.google.com/my-business/reference/qanda/rest/v1/locations.questions/list` | `GET /v1/{parent=locations/*/questions}` Returns the paginated list of questions and some of its answers for a specified location. |
| `https://developers.google.com/my-business/reference/qanda/rest/v1/locations.questions/patch` | `PATCH /v1/{question.name=locations/*/questions/*}` Updates a specific question written by the current user. |

## REST Resource: [v1.locations.questions.answers](https://developers.google.com/my-business/reference/qanda/rest/v1/locations.questions.answers)

| Methods ||
|---|---|
| `https://developers.google.com/my-business/reference/qanda/rest/v1/locations.questions.answers/delete` | `DELETE /v1/{name=locations/*/questions/*}/answers:delete` Deletes the answer written by the current user to a question. |
| `https://developers.google.com/my-business/reference/qanda/rest/v1/locations.questions.answers/list` | `GET /v1/{parent=locations/*/questions/*}/answers` Returns the paginated list of answers for a specified question. |
| `https://developers.google.com/my-business/reference/qanda/rest/v1/locations.questions.answers/upsert` | `POST /v1/{parent=locations/*/questions/*}/answers:upsert` Creates an answer or updates the existing answer written by the user for the specified question. |